/* page news */

.title-news {
    text-align: justify;
    margin-top: 50px;
}

.title-news p {
    font-size: 25px;
    color: #0e0e0e;
    font-weight: 700;
    text-align: right;
    margin: 0;
}

.title-news span {
    font-size: 14px;
    font-weight: 700;
    color: #646464;
    width: 100%;
    text-align: right;
    margin-top: 5px;
    margin-bottom: 25px;
    display: block;
}

.title-left {
    font-size: 20px;
    position: relative;
    font-weight: bold;
}


.news {
    display: grid;
    margin-top: 15px;
    grid-template-rows: auto;
    grid-template-columns: repeat(12,1fr);
    grid-template-areas: "right right right right right right right right right left left left"
    "right right right right right right right right right left left left" ;
    position: relative;
}

.news-right {
    grid-area: right;
}

.news-right .text-news {
    text-align: justify;
    padding: 0px;
    margin: 0px;
}

.news-left {
    padding: 0px 10px;
    grid-area: left;
}

.news-left > div {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}

.news-left .news-card{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: .3s;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    width: 100%;
    transition: .3s;
    border-radius: 15px;
    margin: 10px;
}


.news-card-title {
    color: #0e0e0e;
    text-align: right;
    font-weight: 700;
    font-size: 14px;
    line-height: 1.6;
    padding-top: 15px;
    margin: 0;
    width: 100%;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 2;
}

.img-news {
    border-radius: 10px;
    overflow: hidden;
}

.img-news img {
    width: 100%;
}

.news-sc {
    position: relative;
    margin-top: -50px;
    display: flex;
    justify-content: end;
    background: #0000008c;
    height: 49px;
    border-radius: 0 0 18px 18px;
    width: 100%;
    display: none;

}

.n-c {
    position: relative;
    display: flex;
    align-items: center;
    left: 10px;
    gap: 0 15px;
    color: #fff;
    cursor: pointer;
}

.text-news p {
    line-height: normal;
}

.main_text_dev {
    font-family: "bbc-nassim";
    font-weight: 500;
    line-height: 1.9;
    font-size: 25px;
}
.images {
    display: flex;
    align-items: center;
    justify-content: right;
    flex-wrap: wrap;
}

.images img {
    width: 200px;
    margin: 10px;
}

.image {
    overflow: hidden;
    border-radius: 10px;
}

.image img {
    width: 100%;
}

.news-card-date {
    font-size: 10px;
    margin: 0;
    font-weight: 600;
    color: #646464;
    width: 100%;
    text-align: right;
    margin-top: 5px;
}


.news-card-body {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100%;
}

.news-card:hover {
    background-color: #ddd;
}

/* respnsive  */

@media (max-width:767px){
    .news {
        grid-template-areas: "right right right right right right right right right right right right"
        "left left left left left left left left left left left left";
    }

    .news-right {
        grid-area: right;
        margin-bottom: 50px;
    }

    .news-left .news-card{
        gap: 10px;
        height: 100%;
        flex-direction: row;
    }

    .news-left .news-card-body{
        height: 100%;
        flex-direction: column;
    }

    .news-card-body {
        width: 65%;
    }

    .news-left .news-card .image {
        width: 35%;
    }

    .images {
        justify-content: center;
    }

    .main_text_dev {
        font-family: "bbc-nassim";
        font-weight: 500;
        line-height: 1.9;
        font-size: 20px;
    }

}


@media (max-width:551px){
    .images img {
        width: 40%;
    }

    .news-card-body {
        width: 65%;
    }

    .news-left .news-card .image {
        width: 35%;
    }

    .main_text_dev {
        font-family: "bbc-nassim";
        font-weight: 500;
        line-height: 1.9;
        font-size: 19px;
    }

}

@media (min-width:768px){
    .news {
        grid-template-areas: "right right right right right right right right right right right right"
        "left left left left left left left left left left left left";
    }
    .news-right {
        margin-bottom:50px;
    }

    .news-left > div {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .news-left .news-card{
        width: 30%;
        flex-direction: column;
    }
    .news-left .news-card .image {
        width: 100%;
    }
    .news-card-body {
        width: 100%;
    }
}

@media (min-width:992px){

    .news-left > div {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .news-left .news-card{
        width: 30%;
        flex-direction: column;
    }
    .news-left .news-card .image {
        width: 100%;
    }
    .news-card-body {
        width: 100%;
    }
}

@media (min-width:1200px){
    .news {
        grid-template-areas: "right right right right right right right right right left left left"
        "right right right right right right right right right left left left";
    }
    .news-right {
        margin-bottom:0px;
    }

    .news-left .news-card{
        flex-direction: column;
        width: 100%;
    }
    .news-left .news-card .image {
        width: 100%;
    }
    .news-card-body {
        width: 100%;
    }

    .news-left > div {
        flex-wrap: nowrap;
        flex-direction: column;
        justify-content: center;
    }
}
